SITETB - Bug #171

Etiquetas
09/28/2012 06:51 PM - Jorge Luiz da Rocha

Status: Closed Start date: 09/28/2012
Priority: High Due date:

Assignee: Ricardo Memoria % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Verséo atual Spent time: 0.00 hour
Componente: Casos

Description

Como a etiqueta esta atrelada a um caso, cada instituicdo s6 deveria ver as etiquetas relacionadas aos seus casos. Hoje a visdo
das etiquetas é geral, mesmo que ndo abram as que sdo relacionadas a outras casos de outras unidades.

Confunde muito e ndo da a especificidade que queremos.

Se o0 usudrio tem a visdo somente da sua instituicdo, s6 deveria ver as etiquetas dos seus casos.

Se o0 usuério tiver a visdo do Estado, vé as etiquetas de todos os casos do seu Estado, assim sucessivamente.

History

#1 - 11/19/2012 08:13 PM - Mauricio Dos Santos
- Tracker changed from Melhoria to Bug

- Status changed from New to In Progress

#2 - 11/19/2012 09:24 PM - Mauricio Dos Santos

- Status changed from In Progress to Feedback

Ricardo,

Analisei o problema e conclui que o sistema até distingue (ou tenta) a visdo do usuario, porém no casesquery (quando exibe a lista de casos) a
condigdo é uma (onde ele considera a unidade de notificagédo e a unidade dona do caso) e no casestatereport (onde ele gera a quantidade para
varias situagdes, inclusive das tags) a condigcdo € outra (onde ele considera somente a unidade dona do caso) E isso causa uma diferenca em
algumas tags, exibindo uma quantidade no cases/index.xhtml e outra quantidade na lista (searchresult.xhtml)...

Afinal, qual das duas regras esta correta?
Conclui isso com base nas seguintes consultas realizadas pelo sistema:

-- Select que retorna o numero de casos de cada tag
select

t.id,

t.tag_name,
t.sglCondition is null,
t.consistencyCheck,
count(*)

from

tags_case tc

inner join

tagt

on t.id =tc.tag_id

inner join

tbcase ¢

on c.id=tc.case_id

inner join

tbunit u

on u.id = c.owner_unit_id
inner join
administrativeunit a

on a.id = u.adminunit_id
where

t.workspace_id = 1

and (

a.code like '00409C%' -- unidade dona do caso

)
group by
t.id,
t.tag_name
order by
t.tag_name;

-- CasesQuery, retorna a lista de casos com base no tags_case (tag_id passado como parametro
select

patient1_.PATIENT_NAME as col_0_0_,

tbcasebr0_1_.age ascol_1_0_,

patient1_.gender as col_2_0_,

patient1_.recordNumber as col_3_0_,

tbcasebr0_1_.caseNumber as col_4 0 _,
tbcasebr0_1_.iniTreatmentDate as col 5 0_,
tbcasebr0_1_.registrationDate as col_6_0_,

tbunit2_.name1 ascol_7_0_,

administra3_.name1 as col_ 8 0_,

administra3_.code as col_9 0 _,

tbcasebr0_.id as col_10_0_,

tbcasebr0_1_.endTreatmentDate as col_11_0_,

tbcasebr0_1_.state ascol_12 0 _,

tbcasebr0_1_.classification as col_13_0_,

patient1_.middleName as col_14_0_,

patient1_.lastName as col_15_0_,

tbcasebr0_1_.validationState as col_16_0_,
tbcasebr0_1_.registrationCode as col_17_0_,
tbcasebr0_1_.diagnosisType as col_18_0_,
patient1_.birthDate as col_19_0_,
tbcasebr0_1_.diagnosisDate as col_20_0_,
tbcasebr0_1_.outcomeDate as col_21_0_
from

casedatabr tbcasebr0_

inner join

tbcase tbcasebr0_1_

on tbcasebr0_.id=tbcasebr0_1_.id

inner join

patient patient1_

on tbcasebrO_1_.PATIENT_ID=patient1_.id
inner join

tbunit tbunit2_

on tbcasebr0_1_.NOTIFICATION_UNIT_ID=tbunit2_.id
inner join

administrativeunit administra3_

on tbcasebr0_1_.NOTIF_ADMINUNIT_ID=administra3_.id,
tbunit tbunit4_,

administrativeunit administra5_,
administrativeunit administra6_

where
tbcasebr0_1_.OWNER_UNIT_ID=tbunit4_.id -- unidade dona do caso
and tbunit4 . ADMINUNIT_ID=administra5_.id
and tbunit2_.ADMINUNIT_ID=administra6_.id -- unidade de notificagcdo
and (

administra5_.code like '00409C%'

or administra6_.code like '00409C%'

)

and (

tbcasebr0_1_.classification in (

0,1,2

)

)

and patientl_.WORKSPACE_|D=1

and (

exists (

select

tag8_.id

from

tags_case tags7_,

tag tag8_

where

tbcasebrQ_.id=tags7_.CASE_ID

and tags7_.TAG_ID=tag8_.id

and tag8_.id=72

)

)
order by
patient1_.recordNumber,
tbcasebr0_1_.caseNumber

#3 - 11/19/2012 09:24 PM - Mauricio Dos Santos

- Assignee changed from Mauricio Dos Santos to Ricardo Memoria

#4 - 11/24/2012 12:50 PM - Ricardo Memoria
- File 2_124828.000000screenshot.png added
- File 2_124602.000000screenshot.png added

Ja corrigi o problema da visdo do usuério na tela principal.

Para usuarios com visdo Pais ou Estado, a pagina inicial é esta abaixo:

Caso novo

Casos registrados

Aguardando inicio do 4
tratamento

Em tratamento 1.332
Transferindo para 10

outra unidade
Encerrados 4.285

Total 5.631

Status da validacdo

Aguardando validagdo  2.041

Casos

Paciente: |

Casos em andamento

& Alagoas

Unidade de Salde

A CRIA - ARAPIRACA
A HU-UFAL

4 1I° CENTRO DE SAUDE
APECT - ALAGDAS

EJ Bahia

==

Em
tratamento

Entrada por
transferéncia

Saida por
transferéncia

(=)

Pesquisa avancada

17 Em tratamento

Casos faltosos na
ultima consulta

2
1

128 Em tratamento

E quando o usuério de visao Pais ou Estado clicar no link da instituicdo, OU quando o usuario tiver apenas visdo da unidade, a pagina exibida sera
apenas as dos casos em tratamento, onde serdo exibidas apenas as tags, validacdes e estados do caso da instituicdo do usuario:

Caso novo

Casos registrades

Em tratamento 4
Encerrados 8
Total 12

Etiquetas de casos

ﬁAL atualizar 2

-
6’ Casos com atraso no 3

registro de consultas

-
@Casos encerrados 1
porém nédo atualizados no
sistema

] .
& Pacientes com 1
medicamentos dispensados

divergentes da prescrigao

Casos em andamento

Paciente:l

CRIA - ARAPIRACA

Arapiraca, alagoas”

Casos em andamento

Paciente

ANA CICERA DOS SANTOS

CICERA CLAUDENICE ALVES DOS SANTOS

DIOMEDIO ALVES CORREIA

JOSE APARECIDO DOS SANTOS

==

Caso de TBDR

Tipo de paciente

Caso Navo
Caso Navo
Caso Maovo

Caso Maovo

Data de inicio do tratamento

15-Mai-2012
15-Mai-2012
08-Mai-2009

18-Mov-2011

=)

Pesquisa avancada

Evolugao do tratamento
Planejado(%)

[ ]35.2%
352

B 100,0%
B 8

Também andei mexendo no CaseQuery para exibigdo das pesquisas dos casos, mas em algumas situagdes esta dando divergéncia (é preciso ver
com calma, mas é assunto para outra ocorréncia).
#5 - 11/24/2012 12:51 PM - Ricardo Memoria
- Status changed from Feedback to Resolved

#6 - 11/26/2012 03:00 PM - Mauricio Dos Santos

- Status changed from Resolved to Closed

Files
2_124828.000000screenshot.png 27.6 KB 11/24/2012 Ricardo Memoria
2_124602.000000screenshot.png 20.2 KB 11/24/2012 Ricardo Memoria
